gtk-sharp 0.0.0.0 neutral Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. A button box should be used to provide a consistent layout of buttons throughout your application. This box provides a way of laying out buttons horizontally.

The specific layout of buttons in this type of box is determined by the box's .

Methods for manipulating button boxes are provided in the super classes, and .

Gtk.ButtonBox Atk.Implementor GLib.IWrapper GLib.IWrapper System.IDisposable
- Method
  System.Void Disposes the resources associated with the object.
- Constructor
  Internal constructor
  Pointer to the C object.
  An instance of HButtonBox, wrapping the C object.

  This is an internal constructor, and should not be used by user code.

- Constructor
  The normal way to construct a horizontal button box
  A new HBox
- Property
  GLib.GType GType Property. a Returns the native value for .
- Constructor
  Protected Constructor.
  a
  a
  Chain to this constructor if you have manually registered a native value for your subclass.
- Property
  Gtk.ButtonBoxStyle To be added a To be added
- Property
  System.Int32 To be added a To be added